/* A polyfill for browsers that don't support ligatures. */
/* The script tag referring to this file must be placed before the ending body tag. */

/* To provide support for elements dynamically added, this script adds
   method 'icomoonLiga' to the window object. You can pass element references to this method.
*/
(function () {
    'use strict';
    function supportsProperty(p) {
        var prefixes = ['Webkit', 'Moz', 'O', 'ms'],
            i,
            div = document.createElement('div'),
            ret = p in div.style;
        if (!ret) {
            p = p.charAt(0).toUpperCase() + p.substr(1);
            for (i = 0; i < prefixes.length; i += 1) {
                ret = prefixes[i] + p in div.style;
                if (ret) {
                    break;
                }
            }
        }
        return ret;
    }
    var icons;
    if (!supportsProperty('fontFeatureSettings')) {
        icons = {
            'home': '&#xe900;',
            'house': '&#xe900;',
            'home2': '&#xe901;',
            'house2': '&#xe901;',
            'home3': '&#xe902;',
            'house3': '&#xe902;',
            'paint-format': '&#xe90c;',
            'format': '&#xe90c;',
            'dice': '&#xe915;',
            'game': '&#xe915;',
            'clubs': '&#xe918;',
            'cards2': '&#xe918;',
            'podcast': '&#xe91c;',
            'broadcast': '&#xe91c;',
            'feed': '&#xe91d;',
            'wave': '&#xe91d;',
            'book': '&#xe91f;',
            'read': '&#xe91f;',
            'books': '&#xe920;',
            'library': '&#xe920;',
            'profile': '&#xe923;',
            'file2': '&#xe923;',
            'stack': '&#xe92e;',
            'layers': '&#xe92e;',
            'qrcode': '&#xe938;',
            'ticket': '&#xe939;',
            'theater': '&#xe939;',
            'cart': '&#xe93a;',
            'purchase': '&#xe93a;',
            'coin-dollar': '&#xe93b;',
            'money': '&#xe93b;',
            'coin-euro': '&#xe93c;',
            'money2': '&#xe93c;',
            'coin-pound': '&#xe93d;',
            'money3': '&#xe93d;',
            'coin-yen': '&#xe93e;',
            'money4': '&#xe93e;',
            'compass2': '&#xe94a;',
            'direction2': '&#xe94a;',
            'tablet': '&#xe95a;',
            'mobile3': '&#xe95a;',
            'drawer': '&#xe95c;',
            'box': '&#xe95c;',
            'download': '&#xe960;',
            'save': '&#xe960;',
            'upload': '&#xe961;',
            'load': '&#xe961;',
            'drive': '&#xe963;',
            'save3': '&#xe963;',
            'bubbles': '&#xe96c;',
            'comments': '&#xe96c;',
            'bubbles3': '&#xe96f;',
            'comments3': '&#xe96f;',
            'bubbles4': '&#xe970;',
            'comments4': '&#xe970;',
            'users': '&#xe972;',
            'group': '&#xe972;',
            'user-check': '&#xe975;',
            'user4': '&#xe975;',
            'user-tie': '&#xe976;',
            'user5': '&#xe976;',
            'quotes-left': '&#xe977;',
            'ldquo': '&#xe977;',
            'hour-glass': '&#xe979;',
            'loading': '&#xe979;',
            'spinner5': '&#xe97e;',
            'loading6': '&#xe97e;',
            'spinner9': '&#xe982;',
            'loading10': '&#xe982;',
            'sphere': '&#xe9c9;',
            'globe': '&#xe9c9;',
            'man-woman': '&#xe9de;',
            'toilet': '&#xe9de;',
            'infinite': '&#xea2f;',
            'command': '&#xea4e;',
            'cmd': '&#xea4e;',
            'ctrl': '&#xea50;',
            'control': '&#xea50;',
            'opt': '&#xea51;',
            'option': '&#xea51;',
            'checkbox-checked': '&#xea52;',
            'checkbox': '&#xea52;',
            'checkbox-unchecked': '&#xea53;',
            'checkbox2': '&#xea53;',
            'radio-checked': '&#xea54;',
            'radio-button': '&#xea54;',
            'radio-checked2': '&#xea55;',
            'radio-button2': '&#xea55;',
            'radio-unchecked': '&#xea56;',
            'radio-button3': '&#xea56;',
            'crop': '&#xea57;',
            'resize': '&#xea57;',
            'make-group': '&#xea58;',
            'ungroup': '&#xea59;',
            'scissors': '&#xea5a;',
            'cut': '&#xea5a;',
            'font': '&#xea5c;',
            'typeface': '&#xea5c;',
            'superscript2': '&#xea6b;',
            'wysiwyg13': '&#xea6b;',
            'subscript2': '&#xea6c;',
            'wysiwyg14': '&#xea6c;',
            'pagebreak': '&#xea6e;',
            'wysiwyg16': '&#xea6e;',
            'insert-template': '&#xea72;',
            'wysiwyg20': '&#xea72;',
            'section': '&#xea76;',
            'wysiwyg24': '&#xea76;',
            'terminal': '&#xea81;',
            'console': '&#xea81;',
            'hangouts': '&#xea8e;',
            'brand8': '&#xea8e;',
            'google-drive': '&#xea8f;',
            'brand9': '&#xea8f;',
            'youtube2': '&#xea9e;',
            'brand22': '&#xea9e;',
          '0': 0
        };
        delete icons['0'];
        window.icomoonLiga = function (els) {
            var classes,
                el,
                i,
                innerHTML,
                key;
            els = els || document.getElementsByTagName('*');
            if (!els.length) {
                els = [els];
            }
            for (i = 0; ; i += 1) {
                el = els[i];
                if (!el) {
                    break;
                }
                classes = el.className;
                if (/icon/.test(classes)) {
                    innerHTML = el.innerHTML;
                    if (innerHTML && innerHTML.length > 1) {
                        for (key in icons) {
                            if (icons.hasOwnProperty(key)) {
                                innerHTML = innerHTML.replace(new RegExp(key, 'g'), icons[key]);
                            }
                        }
                        el.innerHTML = innerHTML;
                    }
                }
            }
        };
        window.icomoonLiga();
    }
}());
